# BUYOption Class Reference

Inherits from | BUYObject : NSObject
Declared in | BUYOption.h

## Overview

This represent a BUYOption on a BUYProduct

### `name`

Custom product property names like “Size”, “Color”, and “Material”. 255 characters limit each.

`@property (nonatomic, readonly, copy) NSString *name`

#### Declared In

`BUYOption.h`

### `position`

The order in which the option should optionally appear

`@property (nonatomic, readonly, strong) NSNumber *position`

#### Declared In

`BUYOption.h`

### `productId`

The associated product ID for this option

`@property (nonatomic, readonly, copy) NSNumber *productId`

#### Declared In

`BUYOption.h`